Skip to content

Create a planned runtime cycle for one board.

POST
/api/workspace/boards/{boardIdOrKey}/cycles
curl --request POST \
--url https://example.com/api/workspace/boards/example/cycles \
--header 'Content-Type: application/json' \
--data '{ "Name": "example", "Description": "example", "StartDate": "2026-04-15", "EndDate": "2026-04-15", "SortOrder": 1 }'
  • None
boardIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Create a planned runtime board cycle.

object
Name

Cycle name.

string
nullable
Description

Optional cycle description.

string
nullable
StartDate

Inclusive workspace-local start date.

string format: date
nullable
EndDate

Inclusive workspace-local end date.

string format: date
nullable
SortOrder

Display order inside the board.

integer format: int32
Examplegenerated
{
"Name": "example",
"Description": "example",
"StartDate": "2026-04-15",
"EndDate": "2026-04-15",
"SortOrder": 1
}

OK

Media typeapplication/json
object
Data

Runtime cycle detail.

object
Id

Cycle id.

string
nullable
BoardId

Owning board id.

string
nullable
Name

Cycle name.

string
nullable
Description

Optional cycle description.

string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate

Inclusive workspace-local start date.

string format: date
nullable
EndDate

Inclusive workspace-local end date.

string format: date
nullable
SortOrder

Display order inside the board.

integer format: int32
ItemCount

Total item count currently assigned to this cycle.

integer format: int32
OpenItemCount

Open item count currently assigned to this cycle.

integer format: int32
AssignmentHistoryCount

Cycle assignment history rows referencing this cycle.

integer format: int32
StatusCounts

Counts grouped by board status.

Array<object>
nullable

Runtime cycle counts for one board status.

object
BoardStatusId

Board status id.

string
nullable
BoardStatusKey

Optional board status key.

string
nullable
BoardStatusName

Board status display name.

string
nullable
SortOrder

Board status sort order.

integer format: int32
ItemCount

Total item count in the cycle/status bucket.

integer format: int32
OpenItemCount

Open item count in the cycle/status bucket.

integer format: int32
ReadableOpenItemCount

Open items whose target is readable by the caller.

integer format: int32
HiddenOpenItemCount

Open items hidden from the caller.

integer format: int32
Actions

Server-computed cycle actions for the caller.

object
CanEdit

Whether the cycle can be edited.

boolean
CanActivate

Whether the cycle can be activated.

boolean
CanValidateClose

Whether close validation can be requested.

boolean
CanClose

Whether the cycle can be closed now.

boolean
CanArchive

Whether the cycle can be archived.

boolean
CanDelete

Whether the cycle can be hard-deleted.

boolean
CreatedAt

UTC creation timestamp.

string format: date-time
ModifiedAt

UTC modification timestamp.

string format: date-time
nullable
ActivatedAtUtc

UTC activation timestamp.

string format: date-time
nullable
CompletedAtUtc

UTC completion timestamp.

string format: date-time
nullable
ArchivedAtUtc

UTC archive timestamp.

string format: date-time
nullable
RowVersion

Optimistic concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"LifecycleState": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime cycle detail.

object
Id

Cycle id.

string
nullable
BoardId

Owning board id.

string
nullable
Name

Cycle name.

string
nullable
Description

Optional cycle description.

string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate

Inclusive workspace-local start date.

string format: date
nullable
EndDate

Inclusive workspace-local end date.

string format: date
nullable
SortOrder

Display order inside the board.

integer format: int32
ItemCount

Total item count currently assigned to this cycle.

integer format: int32
OpenItemCount

Open item count currently assigned to this cycle.

integer format: int32
AssignmentHistoryCount

Cycle assignment history rows referencing this cycle.

integer format: int32
StatusCounts

Counts grouped by board status.

Array<object>
nullable

Runtime cycle counts for one board status.

object
BoardStatusId

Board status id.

string
nullable
BoardStatusKey

Optional board status key.

string
nullable
BoardStatusName

Board status display name.

string
nullable
SortOrder

Board status sort order.

integer format: int32
ItemCount

Total item count in the cycle/status bucket.

integer format: int32
OpenItemCount

Open item count in the cycle/status bucket.

integer format: int32
ReadableOpenItemCount

Open items whose target is readable by the caller.

integer format: int32
HiddenOpenItemCount

Open items hidden from the caller.

integer format: int32
Actions

Server-computed cycle actions for the caller.

object
CanEdit

Whether the cycle can be edited.

boolean
CanActivate

Whether the cycle can be activated.

boolean
CanValidateClose

Whether close validation can be requested.

boolean
CanClose

Whether the cycle can be closed now.

boolean
CanArchive

Whether the cycle can be archived.

boolean
CanDelete

Whether the cycle can be hard-deleted.

boolean
CreatedAt

UTC creation timestamp.

string format: date-time
ModifiedAt

UTC modification timestamp.

string format: date-time
nullable
ActivatedAtUtc

UTC activation timestamp.

string format: date-time
nullable
CompletedAtUtc

UTC completion timestamp.

string format: date-time
nullable
ArchivedAtUtc

UTC archive timestamp.

string format: date-time
nullable
RowVersion

Optimistic concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"LifecycleState": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime cycle detail.

object
Id

Cycle id.

string
nullable
BoardId

Owning board id.

string
nullable
Name

Cycle name.

string
nullable
Description

Optional cycle description.

string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate

Inclusive workspace-local start date.

string format: date
nullable
EndDate

Inclusive workspace-local end date.

string format: date
nullable
SortOrder

Display order inside the board.

integer format: int32
ItemCount

Total item count currently assigned to this cycle.

integer format: int32
OpenItemCount

Open item count currently assigned to this cycle.

integer format: int32
AssignmentHistoryCount

Cycle assignment history rows referencing this cycle.

integer format: int32
StatusCounts

Counts grouped by board status.

Array<object>
nullable

Runtime cycle counts for one board status.

object
BoardStatusId

Board status id.

string
nullable
BoardStatusKey

Optional board status key.

string
nullable
BoardStatusName

Board status display name.

string
nullable
SortOrder

Board status sort order.

integer format: int32
ItemCount

Total item count in the cycle/status bucket.

integer format: int32
OpenItemCount

Open item count in the cycle/status bucket.

integer format: int32
ReadableOpenItemCount

Open items whose target is readable by the caller.

integer format: int32
HiddenOpenItemCount

Open items hidden from the caller.

integer format: int32
Actions

Server-computed cycle actions for the caller.

object
CanEdit

Whether the cycle can be edited.

boolean
CanActivate

Whether the cycle can be activated.

boolean
CanValidateClose

Whether close validation can be requested.

boolean
CanClose

Whether the cycle can be closed now.

boolean
CanArchive

Whether the cycle can be archived.

boolean
CanDelete

Whether the cycle can be hard-deleted.

boolean
CreatedAt

UTC creation timestamp.

string format: date-time
ModifiedAt

UTC modification timestamp.

string format: date-time
nullable
ActivatedAtUtc

UTC activation timestamp.

string format: date-time
nullable
CompletedAtUtc

UTC completion timestamp.

string format: date-time
nullable
ArchivedAtUtc

UTC archive timestamp.

string format: date-time
nullable
RowVersion

Optimistic concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"LifecycleState": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime cycle detail.

object
Id

Cycle id.

string
nullable
BoardId

Owning board id.

string
nullable
Name

Cycle name.

string
nullable
Description

Optional cycle description.

string
nullable
LifecycleState
integer format: int32
Allowed values: 0 1 2 3
StartDate

Inclusive workspace-local start date.

string format: date
nullable
EndDate

Inclusive workspace-local end date.

string format: date
nullable
SortOrder

Display order inside the board.

integer format: int32
ItemCount

Total item count currently assigned to this cycle.

integer format: int32
OpenItemCount

Open item count currently assigned to this cycle.

integer format: int32
AssignmentHistoryCount

Cycle assignment history rows referencing this cycle.

integer format: int32
StatusCounts

Counts grouped by board status.

Array<object>
nullable

Runtime cycle counts for one board status.

object
BoardStatusId

Board status id.

string
nullable
BoardStatusKey

Optional board status key.

string
nullable
BoardStatusName

Board status display name.

string
nullable
SortOrder

Board status sort order.

integer format: int32
ItemCount

Total item count in the cycle/status bucket.

integer format: int32
OpenItemCount

Open item count in the cycle/status bucket.

integer format: int32
ReadableOpenItemCount

Open items whose target is readable by the caller.

integer format: int32
HiddenOpenItemCount

Open items hidden from the caller.

integer format: int32
Actions

Server-computed cycle actions for the caller.

object
CanEdit

Whether the cycle can be edited.

boolean
CanActivate

Whether the cycle can be activated.

boolean
CanValidateClose

Whether close validation can be requested.

boolean
CanClose

Whether the cycle can be closed now.

boolean
CanArchive

Whether the cycle can be archived.

boolean
CanDelete

Whether the cycle can be hard-deleted.

boolean
CreatedAt

UTC creation timestamp.

string format: date-time
ModifiedAt

UTC modification timestamp.

string format: date-time
nullable
ActivatedAtUtc

UTC activation timestamp.

string format: date-time
nullable
CompletedAtUtc

UTC completion timestamp.

string format: date-time
nullable
ArchivedAtUtc

UTC archive timestamp.

string format: date-time
nullable
RowVersion

Optimistic concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"LifecycleState": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}